-- Sitemiz : https://sparrow-mta.blogspot.com/

-- Facebook : https://facebook.com/sparrowgta/
-- İnstagram : https://instagram.com/sparrowmta/
-- YouTube : https://www.youtube.com/@TurkishSparroW/

-- Discord : https://discord.gg/DzgEcvy

-- Author : @ebo.dff - @sparrowmta

-- İzinsiz Convert Yasaktır.

-- Function to load and replace models
function replaceModel(modelID, txdFile, dffFile, colFile)
    local txd = engineLoadTXD(txdFile)
    if txd then
        engineImportTXD(txd, modelID)
    else
        outputDebugString("Failed to load TXD: " .. txdFile)
    end

    local dff = engineLoadDFF(dffFile)
    if dff then
        engineReplaceModel(dff, modelID, true)
    else
        outputDebugString("Failed to load DFF: " .. dffFile)
    end

    local col = engineLoadCOL(colFile)
    if col then
        engineReplaceCOL(col, modelID)
    else
        outputDebugString("Failed to load COL: " .. colFile)
    end
end

-- Replace models
replaceModel(1931, "Garage.txd", "Garage.dff", "Garage.col")
replaceModel(1929, "tablo-ebo.txd", "tablo-ebo.dff", "tablo-ebo.col")
replaceModel(1930, "Garage.txd", "tabela.dff", "tabela.col")

-- Set model distances
function setModelDistance(modelID, distance)
    engineSetModelLODDistance(modelID, distance)
end

-- Adjust object distances
setModelDistance(1931, 999) -- Adjust the distance value as needed
setModelDistance(1929, 999) -- Adjust the distance value as needed
setModelDistance(1930, 999) -- Adjust the distance value as needed

-- Disable occlusions
setOcclusionsEnabled(false)

-- Author : @ebo.dff - @sparrowmta

-- Sitemiz : https://sparrow-mta.blogspot.com/

-- Facebook : https://facebook.com/sparrowgta/
-- İnstagram : https://instagram.com/sparrowmta/
-- YouTube : https://www.youtube.com/@TurkishSparroW/

-- Discord : https://discord.gg/DzgEcvy