-- Sitemiz : https://sparrow-mta.blogspot.com/

-- Facebook : https://facebook.com/sparrowgta/
-- İnstagram : https://instagram.com/sparrowmta/
-- YouTube : https://www.youtube.com/@TurkishSparroW/

-- Discord : https://discord.gg/DzgEcvy

-- Author : @ebo.dff - @sparrowmta

-- İzinsiz Convert Yasaktır.

-- Function to load and replace models
function replaceModel(modelID, txdFile, dffFile, colFile)
    local txd = engineLoadTXD(txdFile)
    if txd then
        engineImportTXD(txd, modelID)
    else
        outputDebugString("Failed to load TXD: " .. txdFile)
    end

    local dff = engineLoadDFF(dffFile)
    if dff then
        engineReplaceModel(dff, modelID, true)
    else
        outputDebugString("Failed to load DFF: " .. dffFile)
    end

    local col = engineLoadCOL(colFile)
    if col then
        engineReplaceCOL(col, modelID)
    else
        outputDebugString("Failed to load COL: " .. colFile)
    end
end

-- Replace models
replaceModel(1934, "Cam_TR.txd", "Cam_TR.dff", "Cam_TR.col")
replaceModel(1933, "Cam_TR.txd", "Cam_TR_2.dff", "Cam_TR_2.col")
replaceModel(1932, "Cam_TR.txd", "Cam_TR_3.dff", "Cam_TR_3.col")

-- Set model distances
function setModelDistance(modelID, distance)
    engineSetModelLODDistance(modelID, distance)
end

-- Adjust object distances
setModelDistance(1934, 999) -- Adjust the distance value as needed
setModelDistance(1933, 999) -- Adjust the distance value as needed
setModelDistance(1932, 999) -- Adjust the distance value as needed

-- Disable occlusions
setOcclusionsEnabled(false)

-- Author : @ebo.dff - @sparrowmta

-- Sitemiz : https://sparrow-mta.blogspot.com/

-- Facebook : https://facebook.com/sparrowgta/
-- İnstagram : https://instagram.com/sparrowmta/
-- YouTube : https://www.youtube.com/@TurkishSparroW/

-- Discord : https://discord.gg/DzgEcvy